{
    "name": "datasquirel",
    "version": "1.1.0",
    "description": "",
    "main": "index.js",
    "pkg": {
        "assets": [
            ".local_dist/**/*"
        ],
        "targets": [
            "node16-linux-x64"
        ],
        "outputPath": "docker/app"
    },
    "scripts": {
        "dev": "node server.js",
        "start": "nodecid",
        "start:local": "NODE_ENV=production node server.js",
        "build": "node ./deploy/build.js",
        "postbuild": "node ./postbuild.js",
        "build:local": "node ./build/local.js",
        "tailwind": "npx tailwindcss -i ./tailwind/main.css -o ./styles/tailwind.css --watch",
        "less": "npx lessc-watcher",
        "postinstall": "node ./postinstall.js",
        "docker-dev": "docker compose down && docker compose up",
        "docker-dev:build": "docker compose down && docker compose up  --build",
        "docker-prod": "docker compose down && docker compose up --build",
        "docker-prod:detached": "docker compose down && docker compose up -d --build",
        "docker-build": "docker exec -w /app dsql-dsql-site bash -c \"node ./deploy/build.js\"",
        "docker-build:local": "docker exec -w /app dsql-dsql-site bash -c \"node ./build/local.js\"",
        "docker-prune": "docker system prune -a"
    },
    "keywords": [],
    "author": "",
    "license": "ISC",
    "bugs": {
        "url": "https://github.com/BenjaminToby/datasquirel/issues"
    },
    "homepage": "https://github.com/BenjaminToby/datasquirel#readme",
    "dependencies": {
        "@emotion/react": "^11.11.0",
        "@emotion/styled": "^11.11.0",
        "@heroicons/react": "^1.0.6",
        "@mdx-js/loader": "^3.1.0",
        "@mdx-js/react": "^3.1.0",
        "@moduletrace/datasquirel": "^2.7.8",
        "@monaco-editor/react": "^4.6.0",
        "@mui/icons-material": "^5.11.16",
        "@mui/material": "^5.13.2",
        "@next/mdx": "^15.0.3",
        "@radix-ui/react-icons": "^1.3.0",
        "@radix-ui/react-slot": "^1.1.0",
        "@tinymce/tinymce-react": "^5.1.1",
        "@types/mdx": "^2.0.13",
        "ansi-regex": "^6.0.1",
        "apexcharts": "^3.41.0",
        "chart.js": "^4.3.0",
        "class-variance-authority": "^0.7.0",
        "clsx": "^2.1.1",
        "cron": "^3.0.0",
        "dotenv": "^16.0.1",
        "draft-js": "^0.11.7",
        "fs-extra": "^10.1.0",
        "generate-password": "^1.7.1",
        "google-auth-library": "^8.9.0",
        "gsap": "^3.12.2",
        "html-prettify": "^1.0.7",
        "lessc-watcher": "^1.0.3",
        "lodash": "^4.17.21",
        "lucide-react": "^0.366.0",
        "mysql": "^2.18.1",
        "next": "^15.0.3",
        "next-seo": "^6.4.0",
        "next-sitemap": "^4.2.3",
        "node-pty": "^1.0.0",
        "nodemailer": "^6.7.7",
        "react": "^18.3.1",
        "react-ace": "^10.1.0",
        "react-dom": "^18.3.1",
        "react-draft-wysiwyg": "^1.15.0",
        "react-tiny-popover": "^8.1.2",
        "sanitize-html": "^2.10.0",
        "serverless-mysql": "^1.5.5",
        "sharp": "^0.33.2",
        "slate": "^0.103.0",
        "slate-react": "^0.110.0",
        "socket.io": "^4.7.2",
        "socket.io-client": "^4.7.2",
        "stripe": "^13.6.0",
        "swiper": "^8.3.2",
        "tailwind-merge": "^2.5.2",
        "tailwindcss-animate": "^1.0.7",
        "tinymce": "^7.5.1",
        "xterm": "^5.3.0",
        "xterm-addon-fit": "^0.8.0"
    },
    "devDependencies": {
        "@types/ace": "^0.0.48",
        "@types/lodash": "^4.14.198",
        "@types/mysql": "^2.15.21",
        "@types/next": "^9.0.0",
        "@types/node": "^20.6.0",
        "@types/react": "^18.2.21",
        "@types/sharp": "^0.32.0",
        "@types/slate": "^0.47.16",
        "@types/slate-react": "^0.50.1",
        "@types/stripe": "^8.0.417",
        "@types/tinymce": "^4.6.6",
        "tailwindcss": "^3.1.6",
        "typescript": "5.2.2"
    }
}
